### Function

# GObject param_value_set_default

#### Declaration

    void
    g_param_value_set_default (
      GParamSpec* pspec,
      GValue* value
    )

#### Description

Sets `value` to its default value as specified in `pspec`.

#### Parameters

`pspec`

  Type: `GParamSpec`

  A valid `GParamSpec`.

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  A `GValue` of correct type for `pspec`; since 2.64, you can also pass an empty `GValue`, initialized with `G_VALUE_INIT`.

  The data is owned by the caller of the function.